// TestLnKLibDlg.h : header file
//

#if !defined(AFX_TESTLNKLIBDLG_H__A16241AB_5282_4D36_A050_3E9BABB724EE__INCLUDED_)
#define AFX_TESTLNKLIBDLG_H__A16241AB_5282_4D36_A050_3E9BABB724EE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CTestLnKLibDlg dialog

class CTestLnKLibDlg : public CDialog
{
// Construction
public:
	CTestLnKLibDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CTestLnKLibDlg)
	enum { IDD = IDD_TESTLNKLIB_DIALOG };
	CEdit	m_MsgLA;
	CEdit	m_ExpDataChan;
	CEdit	m_SaveAs;
	CButton	m_BusHold;
	CEdit	m_OpenSba;
	CEdit	m_MsgTo;
	CEdit	m_MsgFrom;
	CEdit	m_MsgFilename;
	CEdit	m_DataTo;
	CEdit	m_DataFrom;
	CEdit	m_DataFilename;
	CButton	m_MsgFramingInfo;
	CButton	m_ExpDataRaw;
	CEdit	m_RawFilename;
	CEdit	m_PollMsgCntr;
	CEdit	m_PollMsg;
	CEdit	m_EditRawTo;
	CEdit	m_EditRawFrom;
	CButton	m_sb_33;
	CButton	m_io_33;
	CButton	m_exp_raw_incl_framing;
	CEdit	m_VCD_DataLabel;
	CEdit	m_VCD_ClockLabel;
	CEdit	m_LoadXML;
	CEdit	m_LoadTG;
	CEdit	m_ImportVCD;
	CEdit	m_SaveAsSba;
	CEdit	m_log;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTestLnKLibDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

//	CEdit	m_log;


	CButton	* pm_ExpDataFrom;
	CButton	* pm_ExpDataAll;
	CButton	* pm_ExpDataTxt;
	CButton	* pm_ExpDataHtml;
	CButton	* pm_ExpRawFrom;
	CButton	* pm_ExpRawAll;
	CButton	* pm_ExpRawTxt;
	CButton	* pm_ExpRawHtml;
	CButton	* pm_ExpMsgFrom;
	CButton	* pm_ExpMsgAll;
	CButton	* pm_ExpMsgTxt;
	CButton	* pm_ExpMsgHtml;
	CButton	* pm_ExpMsgRaw;
	CButton	* pm_ExpMsgDetailed;
	CButton	* pm_ExpMsgSynthetic;
	CButton	* pm_ExpMsgCSV;



	// Generated message map functions
	//{{AFX_MSG(CTestLnKLibDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButton1();
	afx_msg void OnClose();
	afx_msg void OnGetSwVersion();
	afx_msg void OnGetDLLVersion();
	afx_msg void OnGetConfig();
	afx_msg void OnGetSN();
	afx_msg void OnGetHWid();
	afx_msg void OnStartFullRec();
	afx_msg void OnStopFullRec();
	afx_msg void OnStartMsgRec();
	afx_msg void OnStopMsgRec();
	afx_msg void OnPollLiveMsgCntr();
	afx_msg void OnGetLiveMsg();
	afx_msg void OnOpenSBA();
	afx_msg void OnSaveSBAas();
	afx_msg void OnImportVCD();
	afx_msg void OnExportRAW();
	afx_msg void OnExportData();
	afx_msg void OnExportMsg();
	afx_msg void OnLoadTG();
	afx_msg void OnLoadXML();
	afx_msg void OnTGPlay();
	afx_msg void OnTGStop();
	afx_msg void OnHWConfig();
	afx_msg void OnIsConnected();
	afx_msg void OnGetHWConfig();
	afx_msg void OnGetBusState();
	afx_msg void OnGetActionStatus();
	afx_msg void Ondebugjk();
	afx_msg void OnButtonResetHw();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedButtonGetNrDataCh();
	afx_msg void OnBnClickedButtonExportAllDataHistory();
	afx_msg void OnBnClickedButtonExportDataHistory();
	afx_msg void OnBnClickedButtonGetAllDataHistory();
//	CString m_ExportDataCh;
//	CString m_GetDataCh;
	afx_msg void OnBnClickedButtonGetDataHistory();
	CEdit m_ExportDataCh;
	CEdit m_GetDataCh;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TESTLNKLIBDLG_H__A16241AB_5282_4D36_A050_3E9BABB724EE__INCLUDED_)
